Bug 136288 - Support comments in mirrorlist configuration (2.1.9-1)
Support comments in mirrorlist configuration (2.1.9-1)
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-19 03:06 EDT by Andrew Farris
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-21 01:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2004-10-19 03:06:12 EDT
Regarding yum (2.1.9-1) configuration using:

The mirror list used may be a remote file and could be maintained as a public
'master mirrorlist'.  Support for commented out baseurls in the list would be
helpful in maintaining it (temporarily bring load off overworked mirrors,
configure them before being active, etc).

Currently yum will complain about 'skipping' a baseurl if a # is found (it is
not a valid url).  Instead, it could silently ignore lines with leading #
characters assuming they are comments or disabled baseurls.

 - cat yum/development.list

 - yum list updates
not using ftp, http[s], or file for repos, skipping -
Setting up Repo:  development
Comment 1 Seth Vidal 2004-10-21 01:37:25 EDT
fixed in cvs.
# commented lines are ignored,

http://foo/someplace # this is my foo repo

will be treated as a baseurl that looks like:
"http://foo/somplace # this is my foo repo"

no -inline comments allowed.

Note You need to log in before you can comment on or make changes to this bug.